### Function

# Ggit NoteCallback

#### Declaration

    gint
    (* GgitNoteCallback) (
      GgitOId* blob_id,
      GgitOId* annotated_object_id,
      gpointer user_data
    )

#### Description [src]

When iterating over all the notes, callback that will be issued per note. See ggit_repository_note_foreach().

#### Parameters

`blob_id`

  Type: `GgitOId`

  Id of the blob containing the message.

  The data is owned by the caller of the function.

`annotated_object_id`

  Type: `GgitOId`

  Id of the git object being annotated.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User-suplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

0 to go continue or a `GgitError` in case there was an error.